<?
// po poprawkach
namespace admin\controls;

class Languages
{
  public function getContentTranslation()
	{    
    $rw = \System::formGet( 'rw' );

    if ( $rw == 'del' && \admin\factory\Languages::deleteTranslation( \System::formGetInt( 'id' ) ) )
    {
      \System::setAlert( 'Tłumaczenie zostało usunięte.' );
      header( 'Location: ./' );
      exit;
    }

    if ( $rw == 'edit' )
      return \admin\view\Languages::editTranslation( \System::formGetInt( 'id' ) );

    if ( $rw == 'add' )
      return \admin\view\Languages::editTranslation();

    return \admin\view\Languages::showTranslations();
	}
  
	public function getContentLanguages()
	{
    $rw = \System::formGet( 'rw' );

    if ( $rw == 'edit' )
      return \admin\view\Languages::editLanguage( \System::formGet( 'id' ) );
    
    return \admin\view\Languages::showLanguages();
	}
}
?>